﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace MoonLanding
{
    public enum LandingMode
    {
        Interactive, Automatic
    }
    public partial class Start : Form
    {
        public Start()
        {
            InitializeComponent();
        }

        private void btnInteractive_Click(object sender, EventArgs e)
        {
            GameWindow game = new GameWindow(tBoxAddress.Text, LandingMode.Interactive);
            game.FormClosed += (o, a) => { this.Show(); };
            this.Hide();
            game.Show();
        }

        private void btnAuto_Click(object sender, EventArgs e)
        {
            GameWindow game = new GameWindow(tBoxAddress.Text, LandingMode.Automatic);
            game.FormClosed += (o, a) => { this.Show(); };
            this.Hide();
            game.Show();
        }
    }
}
